* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 16px;
}

html,
body,
button,
input {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  font-size: 16px;
}
button,
code {
  font-size: 15px;
}

body {
  width: 100vw;
  background: url(img/bg.svg) repeat;
}

p {
  margin: 0;
  padding: 0 0 12px;
}

button {
  border: 1px solid #0002;
  border-radius: 4px;
  background-color: #eee;
  color: #000;
  margin: 0;
  line-height: 1;
  padding: 4px 8px;
  cursor: pointer;
}
button.active {
  background: #222;
  color: #fff;
}

canvas {
  display: block;
  margin: 12px;
  max-width: calc(100vw - 48px);
  height: auto !important;
}

main {
  padding: 12px;
}

.controls {
  padding: 0;
  display: flex;
  gap: 12px;
  padding: 12px;
  flex-wrap: wrap;
}

.controls > div {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 4px 8px 4px 0;
}

h3 {
  line-height: 1;
  margin: 0;
  padding: 0;
  font-size: 1rem;
}
